/* ***************************************************************************
 *
 *	This program is free software; you can redistribute it and/or modify it
 * 	under the terms of the Shared Code License (SCL) version 1.0 as published
 *	by www.IntellectualHeaven.com. You should have received a copy of the SCL
 *	1.0 license, look for file license.txt, along with this software; if not,
 *	then please write to x_pankaj_x@intellectualheaven.com for an electronic
 *	copy of the same.
 *
 * File name:
 * 		SfCuiView.h
 * 
 * Description:
 * 		Declares the CSfCuiView class and related macros etc
 * 	
 * Revision:
 * --------------------------------------------------------------------------
 *		2005-04-24	xpankajx@intellectualheaven.com
 *		First version
 * --------------------------------------------------------------------------
 * 	Copyright (c) : Pankaj Garg
 * **************************************************************************/
#ifndef _SFCUIVIEW_H_
#define _SFCUIVIEW_H_

//System-Includes!!!
#include <windows.h>

// Local-Includes!!!
#include "Sf.h"

// White color definition for console colors
#define FOREGROUND_WHITE	(FOREGROUND_RED | FOREGROUND_GREEN | FOREGROUND_BLUE)


class CSfCuiView : public CSfView
{
public:
	virtual void HandleNewPacket(PacketData *pPacketData);

};

WORD
SfUtilChangeTextClr(WORD colorNew);

#endif
